/*

  This file is a part of GRALEEDITOR, a program to help create input data
  for gravitational lens inversion using GRALE.

  Copyright (C) 2008-2012 Jori Liesenborgs

  Contact: jori.liesenborgs@gmail.com
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/

#ifndef POINTSLAYERTREEITEM_H

#define POINTSLAYERTREEITEM_H

#include "layertreeitem.h"
#include <QObject>

class PointsLayerTreeItem : public QObject, public LayerTreeItem
{
	Q_OBJECT
public:
	PointsLayerTreeItem(LayerItem *pLayer, QTreeWidget *pLayersWidget);
	~PointsLayerTreeItem();

public slots:
	void updateProperties();
};

#endif // POINTSLAYERTREEITEM_H
