#ifndef CONTOURLEVELDIALOG_H

#define CONTOURLEVELDIALOG_H

#include <QDialog>
#include "ui_contourleveldialog.h"
#include <QVector>
#include <QPointF>

class HullItem;

class ContourLevelDialog : public QDialog, public Ui_ContourLevelDialog
{
	Q_OBJECT
public:
	ContourLevelDialog(QWidget *pParent, const QVector<QVector<QPointF>> &contours, HullItem *pHullItem);
	~ContourLevelDialog();

	bool foundContour() const { return m_foundContour; }
private slots:
	void slotSliderMoved(int pos);
private:
	HullItem *m_pHullItem;
	QVector<QVector<QPointF>> m_contours;

	bool m_foundContour;
};

#endif // CONTOURLEVELDIALOG_H
